%global plugin_name openshift-login

Summary:    login into Jenkins via embedded OpenShift OAuth server
Name:       jenkins-plugin-%{plugin_name}
Version:    0.1
Release:    1%{?dist}
License:    MIT
# URL is correct
URL:        https://wiki.jenkins-ci.org/display/JENKINS/Openshift+Login+Plugin
# AltURL:   https://github.com/jenkinsci/openshift-login-plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins-plugin-matrix-auth
Requires:   jenkins-plugin-mailer
Requires:   jenkins >= 1.642.2

%description
A Jenkins plugin which lets you login to Jenkins 
with your account on your OpenShift installlation. 

Focuses on enabling SSO for Jenkins within your cluster.

%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Wed Oct 05 2016 Troy Dawson <tdawson@redhat.com> - 0.1-1
- Initial package
